Function
posAddAndCheck
Increases the local offset of a position by a value delta and check for overflow.
posAddAndCheck(pos, delta, text)
Include Headers
seqan/sequence.h
Parameters

pos | A position type. Could either be an integer seqOfs or a pair (seqNo, seqOfs).
delta | Increase the local offset of pos by this value.
text | Single sequence or StringSet.

Return Values
Returns a bool which is true if the position is still valid, i.e. if it doesn't exceed the end of the referred sequence in the text.
See Also
posInc, posAdd
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58